Bug 35614 - Update cpanfile for Mojolicious::Plugin::OpenAPI v5.09
Summary: Update cpanfile for Mojolicious::Plugin::OpenAPI v5.09
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: Main
Hardware: All All
: P5 - low major (vote)
Assignee: Mason James
QA Contact: Marcel de Rooy
URL:
Keywords: rel_24_05_candidate
Depends on:
Blocks:
 
Reported: 2023-12-20 13:56 UTC by Tomás Cohen Arazi
Modified: 2024-04-17 15:20 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00


Attachments
Bug 35614: Update cpanfile for Mojolicious::Plugin::OpenAPI v5.09 (1.53 KB, patch)
2023-12-20 14:41 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 35614: Update cpanfile for Mojolicious::Plugin::OpenAPI v5.09 (1.57 KB, patch)
2023-12-21 12:57 UTC, David Nind
Details | Diff | Splinter Review
Bug 35614: Update cpanfile for Mojolicious::Plugin::OpenAPI v5.09 (1.67 KB, patch)
2024-03-29 08:56 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 35614: Update cpanfile for Mojolicious::Plugin::OpenAPI v5.09 (1.68 KB, patch)
2024-04-04 02:14 UTC, Mason James
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2023-12-20 13:56:42 UTC
Work to be done:
- Update cpanfile
- JSON::Validator 5.13 is required as well
- Build that version on the staging Debian repo for regression testing
- Push to stables
Comment 1 Tomás Cohen Arazi 2023-12-20 14:01:30 UTC
Updating using `cpanm` pulled JSON::Validator@5.14 and everything seems fine with the tests.
Comment 2 Tomás Cohen Arazi 2023-12-20 14:41:26 UTC
Created attachment 160117 [details] [review]
Bug 35614: Update cpanfile for Mojolicious::Plugin::OpenAPI v5.09

This patch updates the following libraries, as required by Koha:

* Mojolicious::Plugin::OpenAPI
* JSON::Validator

To test:
1. Apply this patch
2. Run:
   $ ktd --shell
  k$ sudo cpanm --installdeps .
=> SUCCESS: Dependencies updated correctly
3. Run:
  k$ prove -r t/db_dependent/api/v1/ \
              t/db_dependent/Koha/REST/
=> SUCCESS: Tests pass!
4. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 David Nind 2023-12-21 12:57:49 UTC
Created attachment 160192 [details] [review]
Bug 35614: Update cpanfile for Mojolicious::Plugin::OpenAPI v5.09

This patch updates the following libraries, as required by Koha:

* Mojolicious::Plugin::OpenAPI
* JSON::Validator

To test:
1. Apply this patch
2. Run:
   $ ktd --shell
  k$ sudo cpanm --installdeps .
=> SUCCESS: Dependencies updated correctly
3. Run:
  k$ prove -r t/db_dependent/api/v1/ \
              t/db_dependent/Koha/REST/
=> SUCCESS: Tests pass!
4. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: David Nind <david@davidnind.com>
Comment 4 Julian Maurice 2023-12-22 10:14:22 UTC
Why is it required to increase the minimum version for these two modules ?
Comment 5 Tomás Cohen Arazi 2023-12-22 11:21:38 UTC
We were having a weird error on a spec regarding collectionFormat and we noticed https://github.com/jhthorsen/mojolicious-plugin-openapi/commit/c972fdd02a05dc635257715a4b8c541b218e2817

Because after updating the updated library the problem went away.

To reproduce:
1. Point your REST client to /api/v1/holds
2. Pass x-koha-embed: pickup_library
=> SUCCESS: You get the results
3. Pass x-koha-embed: biblio
=> SUCCSS: You get results
4. Pass x-koha-embed: pickup_library,biblio
=> FAIL: Weird and inconsistent error (i.e. it tells you valid options are... what we passed)
5. Update the library
6. Repeat 4
=> SUCCESS: It now works
Comment 6 Jonathan Druart 2024-01-04 07:33:07 UTC
What does it mean for the package manager? We need more info here.
Comment 7 Jonathan Druart 2024-01-04 07:38:30 UTC
libjson-validator-perl

    buster (oldoldstable) 3.06+dfsg-1: all
    bullseye (oldstable)  4.14+dfsg-1: all
    bookworm (stable)     5.14+dfsg-1: all
    trixie (testing)      5.14+dfsg-1: all
    sid (unstable)        5.14+dfsg-1: all

    focal (20.04LTS) 3.23+dfsg-1: all
    jammy (22.04LTS) 5.05+dfsg-1: all
    lunar (23.04)    5.13+dfsg-1: all
    mantic (23.10)   5.14+dfsg-1: all 

libmojolicious-plugin-openapi-perl

    bullseye (oldstable) 3.41-1: all
    bookworm (stable)    5.09-1: all
    trixie (testing)     5.09-1: all
    sid (unstable)       5.09-1: all

focal (20.04LTS) 2.21-1: all
jammy (22.04LTS) 5.02-1: all
lunar (23.04)    5.09-1: all
mantic (23.10)   5.09-1: all 


So we still need to package our own.

Mason, are you ok with that? We would need to remove the '-really' and provide JSON::Validator 5.14 and Mojolicious::Plugin::OpenAPI 5.09
Comment 8 Tomás Cohen Arazi 2024-01-26 19:30:43 UTC
Ping
Comment 9 Jonathan Druart 2024-02-29 10:51:54 UTC
We need to move forward here. ping Mason!
Comment 10 Marcel de Rooy 2024-03-29 08:56:16 UTC
Created attachment 164116 [details] [review]
Bug 35614: Update cpanfile for Mojolicious::Plugin::OpenAPI v5.09

This patch updates the following libraries, as required by Koha:

* Mojolicious::Plugin::OpenAPI
* JSON::Validator

To test:
1. Apply this patch
2. Run:
   $ ktd --shell
  k$ sudo cpanm --installdeps .
=> SUCCESS: Dependencies updated correctly
3. Run:
  k$ prove -r t/db_dependent/api/v1/ \
              t/db_dependent/Koha/REST/
=> SUCCESS: Tests pass!
4. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 11 Marcel de Rooy 2024-03-29 08:57:37 UTC
(In reply to Jonathan Druart from comment #7)
> So we still need to package our own.
> 
> Mason, are you ok with that? We would need to remove the '-really' and
> provide JSON::Validator 5.14 and Mojolicious::Plugin::OpenAPI 5.09

No need to keep this in SO.
Mason, please respond or update our packages accordingly.
Comment 12 Jonathan Druart 2024-04-02 09:30:45 UTC
(In reply to Marcel de Rooy from comment #11)
> (In reply to Jonathan Druart from comment #7)
> > So we still need to package our own.
> > 
> > Mason, are you ok with that? We would need to remove the '-really' and
> > provide JSON::Validator 5.14 and Mojolicious::Plugin::OpenAPI 5.09
> 
> No need to keep this in SO.
> Mason, please respond or update our packages accordingly.

Ok but then now it's PQA whereas it's not ready for push because we are waiting for Mason's feedback?
Comment 13 Katrin Fischer 2024-04-02 15:51:06 UTC
I've pinged Mason about this one.
Comment 14 Mason James 2024-04-04 02:09:52 UTC
(In reply to Marcel de Rooy from comment #11)
> (In reply to Jonathan Druart from comment #7)
> > So we still need to package our own.
> > 
> > Mason, are you ok with that? We would need to remove the '-really' and
> > provide JSON::Validator 5.14 and Mojolicious::Plugin::OpenAPI 5.09
> 
> No need to keep this in SO.
> Mason, please respond or update our packages accordingly.

hi Marcel, i've updated the packages in the staging repo

i've had to keep the '+really' suffix, so existing packages will be correctly updated
Comment 15 Mason James 2024-04-04 02:14:17 UTC
Created attachment 164403 [details] [review]
Bug 35614: Update cpanfile for Mojolicious::Plugin::OpenAPI v5.09

This patch updates the following libraries, as required by Koha:

* Mojolicious::Plugin::OpenAPI
* JSON::Validator

To test:
1. Apply this patch
2. Run:
   $ ktd --shell
  k$ sudo cpanm --installdeps .
=> SUCCESS: Dependencies updated correctly
3. Run:
  k$ prove -r t/db_dependent/api/v1/ \
              t/db_dependent/Koha/REST/
=> SUCCESS: Tests pass!
4. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Mason James <mtj@kohaaloha.com>
Comment 16 Katrin Fischer 2024-04-04 13:25:23 UTC
Pushed for 24.05!

Well done everyone, thank you!
Comment 17 Fridolin Somers 2024-04-17 15:20:33 UTC
Is this needed for backport ?